Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FSDK.Portfolio Class Reference

## Public Member Functions
| GetInitialFileSpecKeyName ()
| Get the key name of an attachment (as file specification) which should be the initial document. More...
| GetInitialViewMode ()
| Get initial view mode. More...
| GetPortfolioPDFDoc ()
| Get related portfolio PDF document object. More...
| GetRootNode ()
| Get root node which is always a folder node. More...
| GetSchemaFields ()
| Get schema fields. More...
| GetSortingFieldKeyName ()
| Get the key name of a schema field which is used for sorting. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsSortedInAscending ()
| Check whether nodes should be sorted in ascending order or not. More...
| SetInitialFileSpecKeyName (name)
| Set the key name of an attachment (as file specification) which should be the initial document. More...
| SetInitialViewMode (mode)
| Set initial view mode. More...
| SetSchemaFields (field_array)
| Set schema fields. More...
| SetSortingFieldKeyName (name)
| Set the key name of a schema field for sorting. More...
| SetSortingOrder (use_ascending_order)
| Set the boolean to decide whether nodes should be sorted in ascending order or not. More...

## Static Public Member Functions
static | CreatePortfolio ()
| Create a PDF portfolio with a new and blank PDF document created automatically. More...
static | CreatePortfolio (portfolio_pdf_doc)
| Create a PDF portfolio with an existed portfolio PDF document. More...

## Static Public Attributes
static | e_InitialViewDetailMode
| Initial view mode: details mode, with all information (specified by schema fields) presented in a multicolumn format. More...
static | e_InitialViewHidden
| Initial view mode: hidden mode.
static | e_InitialViewTileMode
| Initial view mode: tile mode, with each file and folder node denoted by a small icon and a subset of information (specified by schema fields). More...
static | e_InitialViewUnknownMode
| Enumeration for initial view mode for a portfolio PDF document. More...

## Detailed Description

PDF portfolio is a combination of files with different formats. PDF portfolio itself is a PDF document, and then files with different formats can be embedded into this kind of PDF document.
Class FSDK.Portfolio can be used to create a new blank PDF portfolio or access an existed portfolio PDF document, and then to get/set portfolio properties and to access root node in order to enumerate all nodes or add/remove node.

## Member Function Documentation

## ◆ CreatePortfolio() [1/2]

static FSDK.Portfolio.CreatePortfolio | ( |  | ) |
| static

Create a PDF portfolio with a new and blank PDF document created automatically.

This function will create a new and blank PDF document as a portfolio PDF document automatically. Function FSDK.Portfolio.GetPortfolioPDFDoc can be used to retrieve the related PDF document object. Function FSDK.Portfolio.GetSchemaFields can be used to retrieve default schema fields.

Returns
  A PDF portfolio object.

## ◆ CreatePortfolio() [2/2]

static FSDK.Portfolio.CreatePortfolio | ( | portfolio_pdf_doc |  | ) |
| static

Create a PDF portfolio with an existed portfolio PDF document.

This function is just to create a PDF portfolio object to be associated with an existed portfolio PDF document in order to access portfolio information.

Parameters

  [in] | portfolio_pdf_doc | A portfolio PDF document.

Returns
  A PDF portfolio object.

## ◆ GetInitialFileSpecKeyName()

FSDK.Portfolio.GetInitialFileSpecKeyName | ( |  | ) |

Get the key name of an attachment (as file specification) which should be the initial document.

Class FSDK.Attachments can be used to retrieve the file specification object by key name.

Returns
  Key name of an attachment(as file specification). If an empty string is returned, that means the related portfolio PDF document should be the initial document.

## ◆ GetInitialViewMode()

FSDK.Portfolio.GetInitialViewMode | ( |  | ) |

Get initial view mode.

Returns
  Initial view mode. Please refer to values starting from FSDK.Portfolio.e_InitialViewUnknownMode and it would be one of these values.

## ◆ GetPortfolioPDFDoc()

FSDK.Portfolio.GetPortfolioPDFDoc | ( |  | ) |

Get related portfolio PDF document object.

Returns
  Related portfolio PDF document object.

## ◆ GetRootNode()

FSDK.Portfolio.GetRootNode | ( |  | ) |

Get root node which is always a folder node.

PDF portfolio organizes files into a hierarchical structure – a tree with a single root folder (also known as root node) as the common ancestor for all other folders and files.

Returns
  A portfolio node object that represents the root node.

## ◆ GetSchemaFields()

FSDK.Portfolio.GetSchemaFields | ( |  | ) |

Get schema fields.

Schema fields are used to decide which properties of file node or folder node are to be shown in application.

Returns
  Schema fields. Order of these fields are decided by their index order in returned array.

## ◆ GetSortingFieldKeyName()

FSDK.Portfolio.GetSortingFieldKeyName | ( |  | ) |

Get the key name of a schema field which is used for sorting.

Returns
  Key name of a schema field which is used for sorting.

## ◆ IsEmpty()

FSDK.Portfolio.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsSortedInAscending()

FSDK.Portfolio.IsSortedInAscending | ( |  | ) |

Check whether nodes should be sorted in ascending order or not.

Returns
  true means nodes should be sorted in ascending order with specified field, while false means nodes should sorted in descending order with specified field.

## ◆ SetInitialFileSpecKeyName()

FSDK.Portfolio.SetInitialFileSpecKeyName | ( | name |  | ) |

Set the key name of an attachment (as file specification) which should be the initial document.

Function FSDK.PortfolioFileNode.GetKeyName can be used to get the key name of a file specification associated with a file node. Or use class FSDK.Attachments to retrieve a key name of a file specification.

Parameters

  [in] | name | Key name of an attachment(as file specification). If an empty string is returned, that means the related portfolio PDF document should be the initial document.

Returns
  None.

## ◆ SetInitialViewMode()

FSDK.Portfolio.SetInitialViewMode | ( | mode |  | ) |

Set initial view mode.

Parameters

  [in] | mode | Initial view mode. Please refer to values starting from FSDK.Portfolio.e_InitialViewDetailMode and it should be one of these values except FSDK.Portfolio.e_InitialViewUnknownMode.

Returns
  None.

## ◆ SetSchemaFields()

FSDK.Portfolio.SetSchemaFields | ( | field_array |  | ) |

Set schema fields.

Schema fields are used to decide which properties of file node or folder node are to be shown in application.
When this function succeeds, all the old schema fields will be removed and input ones will be used instead.

Parameters

  [in] | field_array | New schema fields array. Order of these fields are decided by their index order in this array.

Returns
  None.

## ◆ SetSortingFieldKeyName()

FSDK.Portfolio.SetSortingFieldKeyName | ( | name |  | ) |

Set the key name of a schema field for sorting.

Parameters

  [in] | name | Key name of a schema field for sorting.

Returns
  None.

## ◆ SetSortingOrder()

FSDK.Portfolio.SetSortingOrder | ( | use_ascending_order |  | ) |

Set the boolean to decide whether nodes should be sorted in ascending order or not.

Parameters

  [in] | use_ascending_order | A boolean to decide the sorted order: true means nodes should be sorted in ascending order with specified field, while false means nodes should sorted in descending order with specified field.

Returns
  None.

## Member Data Documentation

## ◆ e_InitialViewDetailMode

FSDK.Portfolio.e_InitialViewDetailMode
| static

Initial view mode: details mode, with all information (specified by schema fields) presented in a multicolumn format.

Note
  This mode provides the most information to the user.

## ◆ e_InitialViewTileMode

FSDK.Portfolio.e_InitialViewTileMode
| static

Initial view mode: tile mode, with each file and folder node denoted by a small icon and a subset of information (specified by schema fields).

Note
  This mode provides top-level information about embedded files to the user.

## ◆ e_InitialViewUnknownMode

FSDK.Portfolio.e_InitialViewUnknownMode
| static

Enumeration for initial view mode for a portfolio PDF document.

Values of this enumeration should be used alone.

Unknown initial view mode.